LIKWID-POWERMETER(1)

NAME
likwid-powermeter - A tool to print power and clocking information on Intel CPUs

SYNOPSIS
likwid-powermeter [-vhpitf] [-V verbosity_level] [-c socket_list] [-s duration] [-M <0|1>]

DESCRIPTION
likwid-powermeter is a command line application to get the Energy comsumption on Intel RAPL capable processors. Currently only Intel SandyBridge is supported. It also prints information about TDP and Turbo Mode steps supported. The Turbo Mode information works on all Turbo mode enabled Intel processors. The tool can be either used in stethoscope mode for a specified duration or as a wrapper to your application measuring your complete run. RAPL works on a per package (socket) base. Please note that the RAPL counters are also accessible as normal events withing likwid-perfctr.

OPTIONS

-h,--help
    prints a help message to standard output, then exits.

-v,--version
    prints version information to standard output, then exits.

-V, --verbose <level>
    verbose output during execution for debugging. 0 for only errors, 1 for informational output, 2 for detailed output and 3 for developer output

-c <socket_list>
    set on which socket(s) the RAPL interface is accessed. List of sockets like 0,1,2 or 0-2 are allowed.

-M <0|1>
    set how MSR registers are accessed, 0=direct, 1=accessDaemon.

-s <duration>
    set measure duration in us, ms or s. (default 2s)

-p  prints out information about dynamic clocks and CPI information on the socket(s) measured.

-i,--info
    prints out information TDP and Turbo mode steps of all RAPL domains supporting it.

-t  prints out the temperature of all CPUs in the system.

-f  prints out the temperature like -t but used Fahrenheit as temperature unit.

EXAMPLE

1.  Measure the power consumption for 4 seconds on socket 1

likwid-powermeter -s 4 -c 1

2.  Use it as wrapper for an application to measure the energy for the whole execution

likwid-powermeter -c 1 ./a.out

AUTHOR
Written by Thomas Roehl <thomas.roehl@googlemail.com>.

BUGS
Report Bugs on <https://github.com/RRZE-HPC/likwid/issues>.

SEE ALSO
likwid-topology(1), likwid-perfctr(1), likwid-pin(1)